# GeoFabrics

![Linux](https://github.com/rosepearson/GeoFabrics/actions/workflows/linux-test.yml/badge.svg?branch=main)

The `geofabrics` package includes routines and classes for combining point (i.e. LiDAR), vector (i.e. catchment of interest, infrastructure), and raster (i.e. reference DEM) to generate a hydrologically conditioned raster.

A peer-reviewed journal article of the package and methodogy can be found at: [https://www.sciencedirect.com/science/article/pii/S1364815223002281](https://www.sciencedirect.com/science/article/pii/S1364815223002281). This is sadly not Open Access. Please email rose.pearson@niwa.co.nz if you would like a copy of the article.

## Installation
`geofabrics` is avaliable on [conda-forge](https://anaconda.org/conda-forge/geofabrics) and [PyPI](https://pypi.org/project/geofabrics/). Conda is recommended due to difficulties installing geopandas (a dependency) with pip on Windows. See the [Wiki Install Instructions](https://github.com/rosepearson/GeoFabrics/wiki/Package-Install-Instructions) for more information.

## General workflow

![DEM_generation_workflow](https://user-images.githubusercontent.com/22883860/161160412-eef14d39-ed92-4998-838a-15176052afb9.png)

## Documentation
### Wiki
For detailed instructions on installation, usage, and testing please check out the repo [wiki](https://github.com/rosepearson/GeoFabrics/wiki).

### API documentation
For auto-generated API documentation, checkout the repo [pages](https://rosepearson.github.io/GeoFabrics).

## Contributions
Please see our [Issue Tracker](https://github.com/rosepearson/GeoFabrics/issues) for details on coming features and additions to the software.

There is no current expectations of contributions to this project. We accept input in code reviews now. If you would like to be involved in the project, please contact the maintainer.

### License
[GNU GPL](https://github.com/rosepearson/GeoFabrics/LICENSE)

### Contacts
Maintainer: Rose Pearson @rosepearson rose.pearson@niwa.co.nz

### Contributors
<!-- readme: collaborators,contributors -start -->
<table>
<tr>
    <td align="center">
        <a href="https://github.com/jennan">
            <img src="https://avatars.githubusercontent.com/u/2003548?v=4" width="100;" alt="jennan"/>
            <br />
            <sub><b>Maxime Rio</b></sub>
        </a>
    </td>
    <td align="center">
        <a href="https://github.com/CyprienBosserelle">
            <img src="https://avatars.githubusercontent.com/u/3713631?v=4" width="100;" alt="CyprienBosserelle"/>
            <br />
            <sub><b>Cyprien Bosserelle</b></sub>
        </a>
    </td>
    <td align="center">
        <a href="https://github.com/rosepearson">
            <img src="https://avatars.githubusercontent.com/u/22883860?v=4" width="100;" alt="rosepearson"/>
            <br />
            <sub><b>Rose Pearson</b></sub>
        </a>
    </td>
    <td align="center">
        <a href="https://github.com/LukeParky">
            <img src="https://avatars.githubusercontent.com/u/41398636?v=4" width="100;" alt="LukeParky"/>
            <br />
            <sub><b>Luke Parkinson</b></sub>
        </a>
    </td>
    <td align="center">
        <a href="https://github.com/Martin20494">
            <img src="https://avatars.githubusercontent.com/u/55137629?v=4" width="100;" alt="Martin20494"/>
            <br />
            <sub><b>Martin Nguyen</b></sub>
        </a>
    </td>
    <td align="center">
        <a href="https://github.com/AliceHarang">
            <img src="https://avatars.githubusercontent.com/u/82012970?v=4" width="100;" alt="AliceHarang"/>
            <br />
            <sub><b>Alice Harang</b></sub>
        </a>
    </td></tr>
<tr>
    <td align="center">
        <a href="https://github.com/Pooja3894">
            <img src="https://avatars.githubusercontent.com/u/86580534?v=4" width="100;" alt="Pooja3894"/>
            <br />
            <sub><b>PoojaKhosla</b></sub>
        </a>
    </td>
    <td align="center">
        <a href="https://github.com/xandercai">
            <img src="https://avatars.githubusercontent.com/u/16149053?v=4" width="100;" alt="xandercai"/>
            <br />
            <sub><b>Xander Cai</b></sub>
        </a>
    </td>
    <td align="center">
        <a href="https://github.com/kinow">
            <img src="https://avatars.githubusercontent.com/u/304786?v=4" width="100;" alt="kinow"/>
            <br />
            <sub><b>Bruno P. Kinoshita</b></sub>
        </a>
    </td></tr>
</table>
<!-- readme: collaborators,contributors -end -->
